Subject: bug#29220: 26.0.90; eieio-persistent-read fail to restore saved object.

From: Stefan Monnier <[email-masked]>
Date: Wed, 20 Dec 2017 15:54:26 -0500

> As for the quoting thing, my current idea is to not add quotes to lists
> when writing, then strip quotes on restore, if the car of the list is a
> valid class symbol then try to restore an object, but wrap in
> `condition-case' and return the plain list if an error is raised.

I recommend you ask the opinion of Eric M. Ludlam <[email-masked]>
(the original author of that code).

> Seems pretty unlikely that someone would write a list that accidentally
> happens to restore to a valid object.

It should(!) be easy to design the system such that we don't need to
make such assumptions.

        Stefan